Package org.eclipse.jdt.ui.actions

# Class ShowActionGroup

java.lang.Object
org.eclipse.ui.actions.ActionGroup
org.eclipse.jdt.ui.actions.ShowActionGroup

@Deprecated public class ShowActionGroup extends org.eclipse.ui.actions.ActionGroup
Deprecated.
As of 3.5, got replaced by generic Navigate > Show In >
Action group that adds the show actions to a context menu and the action bar's navigate menu.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`ShowActionGroup(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor part)`
Deprecated.
`ShowActionGroup(org.eclipse.ui.IViewPart part)`
Deprecated.
`ShowActionGroup(org.eclipse.ui.part.Page page)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Deprecated.
`void`
`fillActionBars(org.eclipse.ui.IActionBars actionBar)`
Deprecated.
`void`
`fillContextMenu(org.eclipse.jface.action.IMenuManager menu)`
Deprecated.

### Methods inherited from class org.eclipse.ui.actions.ActionGroup

`getContext, setContext, updateActionBars`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ShowActionGroup

@Deprecated public ShowActionGroup(org.eclipse.ui.part.Page page)
Deprecated.
Creates a new `ShowActionGroup`. The action requires that the selection provided by the page's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `page` - the page that owns this action group

### ShowActionGroup

@Deprecated public ShowActionGroup(org.eclipse.ui.IViewPart part)
Deprecated.
Creates a new `ShowActionGroup`. The action requires that the selection provided by the part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

### ShowActionGroup

@Deprecated public ShowActionGroup(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor part)
Deprecated.
Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `part` - the Java editor
Restriction:
  This constructor is not intended to be referenced by clients.

## Method Details

### fillActionBars

@Deprecated public void fillActionBars(org.eclipse.ui.IActionBars actionBar)
Deprecated.

Overrides:
  `fillActionBars` in class `org.eclipse.ui.actions.ActionGroup`

### fillContextMenu

@Deprecated public void fillContextMenu(org.eclipse.jface.action.IMenuManager menu)
Deprecated.

Overrides:
  `fillContextMenu` in class `org.eclipse.ui.actions.ActionGroup`

### dispose

@Deprecated public void dispose()
Deprecated.

Overrides:
  `dispose` in class `org.eclipse.ui.actions.ActionGroup`